<!DOCTYPE html>
<html ng-app="myApp">
  <head>
    <title>Cesium Map with Angular</title>
    <script src="https://cesium.com/downloads/cesiumjs/releases/1.85/Build/Cesium/Cesium.js"></script>
    <link
      href="https://cesium.com/downloads/cesiumjs/releases/1.85/Build/Cesium/Widgets/widgets.css"
      rel="stylesheet"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
    <script src="app.js"></script>
    <style>
      body {
        font-family: Arial, sans-serif;
        background-color: #f4f4f4;
        margin: 0;
        padding: 0;
      }

      #cesiumContainer {
        position: relative;
        height: 100vh;
        z-index: 0;
        margin: 10px;
      }

      .input-container {
        position: fixed;
        top: 10px;
        right: 10px;
        width: 350px;
        z-index: 1;
        padding: 20px;
        box-sizing: border-box;
        background-color: #160d08;
        color: #fff;
      }

      label {
        font-weight: bold;
        margin-right: 10px;
      }

      input[type="number"] {
        padding: 8px;
        border-radius: 5px;
        border: 1px solid #ccc;
        margin-bottom: 10px;
        width: 70%;
        box-sizing: border-box;
      }

      button {
        padding: 8px 20px;
        background-color: #4caf50;
        color: #fff;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        transition: background-color 0.3s ease;
        width: 100%;
        box-sizing: border-box;
      }

      button:hover {
        background-color: #45a049;
      }

      .container {
        position: relative;
      }
    </style>
  </head>
  <body ng-controller="MapController">
    <div class="container">
      <app-cesium-component
        [latitude]="latitude"
        [longitude]="longitude"
      ></app-cesium-component>
      <div class="input-container">
        <label>Latitude:</label>
        <input type="number" [(ngModel)]="latitude" />
        <br /><br />
        <label>Longitude:</label>
        <input type="number" [(ngModel)]="longitude" />
        <br /><br />
        <label>Height:</label>
        <input type="number" [(ngModel)]="height" />
        <br /><br />
        <button (click)="updatePosition()">Update Position</button>
      </div>
    </div>
  </body>
</html>
